NX Open C++ Reference Guide
|
Represents a Die Cast Relief sub feature. More...
Public Member Functions | |
NXOpen::Die::DieBuildStatusOption | BuildStatus () |
Returns the build status of cast relief. | |
bool | DesignStatus () |
Returns the design status of cast relief, if true the cast relief will be built into the model, if false it will not. | |
bool | DisplayStatus () |
Returns the display status of cast relief, if true input data to the cast relief will be displayed, if false the input data will not be displayed. | |
std::vector< NXOpen::IProfile * > | GetCastRelief (NXOpen::Die::DirectionOption *direction) |
Gets the profile of the cast relief. | |
double | ReliefDepth () |
Returns the relief depth of cast relief. | |
NXOpen::Body * | ReliefSheet () |
Returns the relief sheet of cast relief. | |
void | SetCastRelief (NXOpen::Die::DirectionOption direction, const std::vector< NXOpen::IProfile * > &profileEntries) |
Sets the profile of the cast relief. | |
void | SetDesignStatus (bool designStatus) |
Sets the design status of cast relief, if true the cast relief will be built into the model, if false it will not. | |
void | SetDisplayStatus (bool displayStatus) |
Sets the display status of cast relief, if true input data to the cast relief will be displayed, if false the input data will not be displayed. | |
void | SetReliefDepth (double reliefDepth) |
Sets the relief depth of cast relief. | |
void | SetReliefSheet (NXOpen::Body *reliefSheet) |
Sets the relief sheet of cast relief. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Die Cast Relief sub feature.
This sub feature is created via the main feature builder.
Created in NX4.0.0.
NXOpen::Die::DieBuildStatusOption NXOpen::Die::CastReliefParentBuilder::BuildStatus | ( | ) |
Returns the build status of cast relief.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::CastReliefParentBuilder::DesignStatus | ( | ) |
Returns the design status of cast relief, if true the cast relief will be built into the model, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
bool NXOpen::Die::CastReliefParentBuilder::DisplayStatus | ( | ) |
Returns the display status of cast relief, if true input data to the cast relief will be displayed, if false the input data will not be displayed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
std::vector<NXOpen::IProfile *> NXOpen::Die::CastReliefParentBuilder::GetCastRelief | ( | NXOpen::Die::DirectionOption * | direction | ) |
Gets the profile of the cast relief.
direction | Profile direction. |
double NXOpen::Die::CastReliefParentBuilder::ReliefDepth | ( | ) |
Returns the relief depth of cast relief.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
NXOpen::Body* NXOpen::Die::CastReliefParentBuilder::ReliefSheet | ( | ) |
Returns the relief sheet of cast relief.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
void NXOpen::Die::CastReliefParentBuilder::SetCastRelief | ( | NXOpen::Die::DirectionOption | direction, |
const std::vector< NXOpen::IProfile * > & | profileEntries | ||
) |
Sets the profile of the cast relief.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
direction | Profile direction. |
profileEntries | The profile entries, can be curves, edges, faces, sketches or curve features. |
void NXOpen::Die::CastReliefParentBuilder::SetDesignStatus | ( | bool | designStatus | ) |
Sets the design status of cast relief, if true the cast relief will be built into the model, if false it will not.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
designStatus | design status |
void NXOpen::Die::CastReliefParentBuilder::SetDisplayStatus | ( | bool | displayStatus | ) |
Sets the display status of cast relief, if true input data to the cast relief will be displayed, if false the input data will not be displayed.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
displayStatus | display status |
void NXOpen::Die::CastReliefParentBuilder::SetReliefDepth | ( | double | reliefDepth | ) |
Sets the relief depth of cast relief.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
reliefDepth | relief depth |
void NXOpen::Die::CastReliefParentBuilder::SetReliefSheet | ( | NXOpen::Body * | reliefSheet | ) |
Sets the relief sheet of cast relief.
Created in NX4.0.0.
License requirements : ug_die_design ("Die Design")
reliefSheet | relief sheet |